#
# spec file for package gnome-web-photo (Version 0.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-web-photo
%if 0%{suse_version} > 1110
%define xulrunner_version 191
%else
%define xulrunner_version 190
%endif
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libjpeg-devel
BuildRequires:  libxml2-devel
BuildRequires:  mozilla-xulrunner%{xulrunner_version}-devel
BuildRequires:  translation-update-upstream
License:        GPLv2+
Group:          Productivity/Graphics/Viewers
Version:        0.9
Release:        2.5.1
Summary:        GNOME Web Photographer
Source:         %{name}-%{version}.tar.bz2
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
Requires:       mozilla-xulrunner%{xulrunner_version}
%gconf_schemas_prereq

%description
GNOME Web Photographer is a tool to generate full-size image files and
thumbnails from HTML files and web pages.



Authors:
--------
    Christian Persch <chpe@gnome.org>

%lang_package
%prep
%setup -q
translation-update-upstream

%build
# Ugly hack since gnome-web-photo is linking gfx stuff directly
XULRUNNER_DIR=$(pkg-config --variable=libdir libxul)
export LDFLAGS="-Wl,-rpath -Wl,${XULRUNNER_DIR}"
#autoreconf -fi
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang %{name}
%find_gconf_schemas

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.schemas_list
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gnome-web-photo
%{_bindir}/gnome-web-print
%{_bindir}/gnome-web-thumbnail
%{_datadir}/gnome-web-photo

%files lang -f %{name}.lang

%changelog
* Fri Jan 15 2010 wr@rosenauer.org
- Added explicit requires to xulrunner and use rpath
  (bnc#559704)
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 0.9:
  + Build fixes.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 0.8:
  + Exit when xulrunner startup fails.
* Wed May  6 2009 vuntz@novell.com
- Build against mozilla-xulrunner191 on openSUSE > 11.1.
* Mon Apr 13 2009 mboman@suse.de
- Update to version 0.7:
  + Build fix for xulrunner 1.9.1 (bgo#576674)
- Remove BuildRequires gnome-common
- Don't use autoreconf
- Remove gnome-web-photo-libxul.patch. Fixed upstream
- Remove %%if statements <= 10.2
- Remove Requires mozilla-xulrunner190. Should be automatic
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 0.6:
  + Don't set config.use_system_prefs to true
  + Translation updates
- Drop gnome-web-photo-no-system-prefs.patch: fixed upstream.
- Remove -fno-strict-aliasing from CXXFLAGS.
- Remove checks for old versions of openSUSE.
- Remove AutoReqProv: it's default now.
- Remove unneeded BuildRequires: gnutls-devel, libglade2-devel,
  libgnomeprintui-devel, libgnomeui-devel, libwnck-devel,
  perl-XML-Parser, update-desktop-files.
- Add BuildRequires: gconf2-devel, gtk2-devel, libjpeg-devel,
  libxml2-devel.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Dec 16 2008 coolo@suse.de
- require lang subpackage
* Tue Dec  2 2008 vuntz@novell.com
- Add gnome-web-photo-no-system-prefs.patch to fix bnc#444682. It
  seems gnome-web-photo was able to change some important firefox
  settings.
* Wed Sep  3 2008 mboman@novell.com
- Update to version 0.5:
  + Fix UA string for ff compatibility.
  + Correctly initialize the GdkPixdata pointer so that it's always valid.
    (bnc#395920)
- Removed gnome-web-photo-bnc395920-crash.patch. Fixed upstream.
* Thu Aug 28 2008 jpr@novell.com
- Fix conditional BuildRequires so only mozilla181 is installed
* Wed Jul 23 2008 vuntz@novell.com
- Tag patches.
- Add gnome-web-photo-bnc395920-crash.patch as potential fix for
  bnc#395920.
* Wed May 21 2008 maw@suse.de
- Add gnome-web-photo-libxul.patch (better fix for bnc#381154)
- Cleanup the spec file with respect to xulrunner usage.
* Mon Apr 28 2008 maw@suse.de
- Actually build and run against mozillaxulrunner190 (bnc#381154).
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.4:
  + Port to mozilla-xulrunner190.
* Thu Mar  6 2008 jpr@suse.de
- Update to 0.3
  * Renice when thumbnailing
  * Thumbnail application/xhtml+xml files
  * Initialise GThread before calling any glib function
- Remove gnome-web-photo-160795-renice-when-thumbnailing.diff, it
  was upstreamed
- Remove gnome-web-photo-focus.patch, it was upstreamed
- Split off lang package
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Jan 15 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Nov 30 2006 sbrabec@suse.cz
- Fixed xulrunner dependencies for older products.
* Tue Nov  7 2006 sbrabec@suse.cz
- Use exact xulrunner version 181 (#216100).
* Fri Oct 13 2006 danw@suse.de
- Remove dead patch
* Wed Sep 20 2006 jhargadon@suse.de
- update to version 0.2
- Use the document font gconf key
- Use stock endianness define
- Fix some compile warnings, and add support for xulrunner
    trunk
- Updated from Epiphany: correct gecko version check
    if mozilla-config.h includes other files
* Mon Apr 10 2006 danw@suse.de
- call gtk_window_set_focus_on_map(win, FALSE) to explicitly request
  that the offscreen gecko window not be focused. Part of 160795.
* Tue Apr  4 2006 federico@novell.com
- Added gnome-web-photo-160795-renice-when-thumbnailing.diff as a
  workaround for https://bugzilla.novell.com/show_bug.cgi?id=160795.
  We renice the gnome-web-photo process if it is being used as a thumbnailer.
* Wed Feb  1 2006 jpr@suse.de
- Alter the default config so a working thumbnail command line is used
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 28 2005 gekker@suse.de
- Update to version 0.1.1
* Mon Oct 31 2005 gekker@suse.de
- Initial import of package 0.1cvs20051031
